#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const fsx = __importStar(require("fs-extra"));
const yargs = __importStar(require("yargs"));
const BOOTSTRAP_ROOT = path.resolve(__dirname, "..", "bootstrap");
yargs
    .help()
    .strict()
    .demandCommand()
    .showHelpOnFail(true)
    .command("init", "Create a new userscript", {}, init)
    .argv;
function init(_) {
    const rootDir = process.cwd();
    fsx.readdir(rootDir, async (err, files) => {
        if (err !== null) {
            throw err;
        }
        if (relevant(files).length > 0) {
            console.error("Directory not empty. Stopping.");
            process.exit(1);
        }
        await fsx.copy(BOOTSTRAP_ROOT, rootDir);
        await fsx.rename(path.resolve(rootDir, "gitignore"), path.resolve(rootDir, ".gitignore"));
    });
}
function relevant(files) {
    return files.filter(f => !f.startsWith("."));
}
