import { Condition } from "./environment";
declare type BaseStylesheet = Readonly<{
    css: string;
    condition: Condition;
}>;
declare type StylesheetWithoutId = BaseStylesheet & Readonly<{
    id?: undefined;
}>;
declare type StylesheetWithId = BaseStylesheet & Readonly<{
    id: string;
}>;
declare type Stylesheet = StylesheetWithId | StylesheetWithoutId;
export declare function stylesheet(spec: StylesheetWithId): StylesheetWithId;
export declare function stylesheet(spec: StylesheetWithoutId): StylesheetWithoutId;
export declare type Stylesheets = Readonly<{
    [_: string]: Stylesheet;
}>;
export declare function insert(stylesheets: Stylesheets): void;
export declare const enable: (s: StylesheetWithId) => void;
export declare const disable: (s: StylesheetWithId) => void;
export {};
